<template>
  <div>
    <main class="content container">
      <div class="content__top">
        <ul class="breadcrumbs">
          <li class="breadcrumbs__item">
            <router-link class="breadcrumbs__link" :to="{name: 'main'}">
              Каталог
            </router-link>
          </li>
          <li class="breadcrumbs__item">
            <a class="breadcrumbs__link">
              Корзина
            </a>
          </li>
        </ul>

        <h1 class="content__title">
          Корзина
        </h1>
        <span class="content__info">
        {{ totalItems }} товара
      </span>
      </div>

      <section class="cart">
        <form class="cart__form form" action="#" method="POST">
          <div class="cart__field">
            <ul class="cart__list">
              <ItemInCart v-for="item in items" :key="item.id" :data="item"/>
            </ul>
          </div>

          <div class="cart__block">
            <p class="cart__desc">
              Мы&nbsp;посчитаем стоимость доставки на&nbsp;следующем этапе
            </p>
            <p class="cart__price">
              Итого: <span>{{ totalPrice | beautifyNumber }} ₽</span>
            </p>

            <button class="cart__button button button--primery" type="submit">
              Оформить заказ
            </button>
          </div>
        </form>
      </section>
    </main>
  </div>
</template>

<script>
import ItemInCart from '@/components/cart/ItemInCart.vue';
import { mapGetters } from 'vuex';
import beautifyNumber from '@/helpers/beautifyNumber';

export default {
  name: 'CartPage',
  components: { ItemInCart },
  computed: {
    ...mapGetters({
      totalItems: 'totalItems',
      items: 'itemsWithInfo',
    }),
    totalPrice() {
      return this.items.reduce((totalPrice, item) => totalPrice + item.price * item.quantity, 0);
    },
  },
  filters: {
    beautifyNumber,
  },
};
</script>
